<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}


    $title = 'Набег';    

include './system/h.php';

  $nabeg = mysql_query('SELECT * FROM `nabeg` WHERE `user` = "'.$user['id'].'"');  
  $nabeg = mysql_fetch_array($nabeg);
  
  if(!$nabeg) {
  
    mysql_query('INSERT INTO `nabeg` (`user`) VALUES ("'.$user['id'].'")');
  
  }

?>

<div class='title'><?=$title?></div>
 <div class='line'></div>

<?

if($user['level'] > 2) {


?>

<div class='menu'>
  <li class='no_b' align='center'>

<?

  if($nabeg['h'] == 0 && $nabeg['time'] == 0) {
  
  $h = _string(_num($_POST['h']));
  
    if($h && $user['level'] >= $h * 3) {
    
      $hs = ($h * (60 * 60));
            
      mysql_query('UPDATE `nabeg` SET `h` = "'.$h.'", `time` = "'.(time() + $hs).'" WHERE `user` = "'.$user['id'].'"');
    
    header('location: /nabeg.php');
    
    }

?>

<font color='#90b0c0'>В набеге ты получишь <img src='/images/icon/gold.png' alt='*'/> золотых. Чем дольше длится набег, тем больше награда!</font><br/>

<form action='/nabeg.php' method='post'>
  <select name='h'>

<?

   for($h = 1; $h < 6; $h++) {

if($user['level'] >= $h * 3) {

?>

<option value='<?=$h?>'><?=$h?> час<?=($h == 1 ? '':($h == 5 ? 'ов':'а'))?></option>

<?

    }

  }

?>

  </select><br/>
  <input type='submit' value='Начать набег'/>

</form>

<?

  }
  else
  {


if($nabeg['time'] > time()) {

  if($_GET['end'] == true) {
    mysql_query('UPDATE `nabeg` SET `h` = "0", 
                                `time` = "0" WHERE `user` = "'.$user['id'].'"');
    header('location: /nabeg.php');
  }
  

?>

<font color='#90b0c0'>Вы грабите земли врагов!</font><br/>
Осталось: <?=_time($nabeg['time'] - time())?><br/><br/>

<a href='/nabeg.php?end=true' class='button'>Отменить</a>

<?

  }
  else
  {

     mysql_query('UPDATE `users` SET `g` = `g` + '.($nabeg['h'] * 10).' WHERE `id` = "'.$user['id'].'"');  
      mysql_query('UPDATE `nabeg` SET `h` = "0",
                                  `time` = "0" WHERE `user` = "'.$user['id'].'"');
    
?>

<font color='#90b0c0'>Вы вернулись из набега!</font><br/>
Вы нашли: <img src='/images/icon/gold.png' alt='*'/> <?=n_f($nabeg['h'] * 10)?> золотых<br/><br/>

<a href='/nabeg.php' class='button'>Обновить</a>


<?

  }

  }

?>
  </li>
</div>

<?

  }
  else
  {
  
?>

<div class='content' align='center'>
Набег на вражеские земли доступен с <img src='/images/icon/level.png' alt='*'/> 3 уровня<br/>
</div>

<?

  }
  
include './system/f.php';

?>